Qlik Community

Qlik Sense Deployment & Management

Discussion board where members learn more about Qlik Sense Installation, Deployment and Management.

Highlighted
mnada2012
New Contributor II

Qlik Sense upgrade fail

Dear Expert,

I am trying to upgrade Qlik sense from 3.1 SR2 to the latest February 2019 version.

I followed all the steps in the manual and seems that everything fine

at first, I had an issue with database superuser but resolved.

Still, I am getting an unknown error during the installation. 

2019-03-13_8-47-57.png

Any suggestion what went wrong.

 

Labels (2)
1 Solution

Accepted Solutions

Re: Qlik Sense upgrade fail

Hello,

Thanks @crusader_ for the log analysis! The error message is misleading and is a known issue.

Upgrading from 3.2 or earlier to Qlik Sense November 2018 or later might not work and will send this error message. 

The solution is to take a middle step to upgrade so basically going to Qlik Sense June 2017 or September 2017 first and then upgrade to Qlik Sense February 2019. 

More information available here

As mentioned by @crusader_  make sure to follow all the instruction as well as taking a backup prior to upgrading. 

Hope this helps! 

Bastien Laugiero
If a post helps to resolve your issue, please mark the appropriate replies as CORRECT.
10 Replies
Partner
Partner

Re: Qlik Sense upgrade fail

Hi,

Log-file says there is no qliksenserepository role created at your PostgreSQL instance, also check if  QSMQ db created and ownership is changed to qliksenserepository user (role).

QSMQ Error message.PNG

Check upgrade steps carefully

Hope this helps.

//Andrei

mnada2012
New Contributor II

Re: Qlik Sense upgrade fail

Hello Andri,

Thanks for your reply

I checked the role is already there and also I created QSMQ database and assigned the role but I got the same error

 I used pgadmin 3  and connect to the local database and created the database as per the upgrade manual. 

I attached the new log and screenshot of pgadmin.2019-03-13_12-06-22.png

 

Re: Qlik Sense upgrade fail

Hello,

Thanks @crusader_ for the log analysis! The error message is misleading and is a known issue.

Upgrading from 3.2 or earlier to Qlik Sense November 2018 or later might not work and will send this error message. 

The solution is to take a middle step to upgrade so basically going to Qlik Sense June 2017 or September 2017 first and then upgrade to Qlik Sense February 2019. 

More information available here

As mentioned by @crusader_  make sure to follow all the instruction as well as taking a backup prior to upgrading. 

Hope this helps! 

Bastien Laugiero
If a post helps to resolve your issue, please mark the appropriate replies as CORRECT.
mnada2012
New Contributor II

Re: Qlik Sense upgrade fail

Hi Bastien Laugiero

I believe you are correct as I checked with one of my friends and he confirms the same that I need to upgrade to June 2017 first then to Feb 2019

the sad part is that I got another error

please note that I already took backup and follow the steps in the manual carefully still getting these unknown errors

can you help?

 

 

mnada2012
New Contributor II

Re: Qlik Sense upgrade fail

another attachment also

Partner
Partner

Re: Qlik Sense upgrade fail

Hi,

Have you restored backup before upgrading to interim version (June201*)?

Postgre_Error message.PNG

Something went wrong with PostgreSQL again.

I can't advise anything else rather than contact Qlik Support, because it looks like something went wrong and to find the root cause, someone need to connect to your server.

//Andrei

mnada2012
New Contributor II

Re: Qlik Sense upgrade fail

Hi 

Thanks for your reply

I restored the VM and everything works fine.

I will try one more time and if it is not working I will raise a ticket to the support

since this is the first time to do that can you please guide me how to raise a ticket to the support. is there a link?

Thanks

 

Partner
Partner

Re: Qlik Sense upgrade fail

Hi,
Go to https://support.qlik.com log on with your qlikid and log a ticket, the process is pretty straightforward.
//Andrei
spacehaul
New Contributor

Re: Qlik Sense upgrade fail

Could I get a step by step solution to the above problem? (Since im an amateur and dont really understand a lot of what was said). Would be really appreciated.